Devol Webdevelopment | Photography | Videography | Websites

Welke versie van symfony gebruiken

Opzetten van Symfony Framework project

Om met de juiste versie te werken, kan je inmiddels met twee versies werken. De meest populaire versie op dit moment is versie 3.4.*, dit is een LTS (long term service) versie die je makkelijk tot november 2021 kan gebruiken voor je huidige projecten en dit zonder problemen. Ik zelf ben inmiddels begonnen met versie 4.3 deze versie is nog lang niet af en kan nog behoorlijk veranderen op het moment dat ze een release geven van versie 4.4

Welke keuze is het beste

Dit is een heel moeilijke keuze. Het probleem is, dat op dit moment versie 3.4 en 4.3 erg verschillend zijn. Zo is het oordeel van Symfony, dat je niet meer voor elke omgeving (denk aan admin, gebruiker, frontend, backend) een nieuwe bundel hoeft aan te maken. Symfony vind dat je in versie 4.3 dit alleen hoeft te doen door middel van controllers.

Je assets kan je straks ook alleen maar beheren via webpack encore. hierdoor moet je ook weer weten hoe je om moet gaan met NPM en Yarn voor het in productie zetten van je javascript en css bestanden. Kortom, het zijn heel veel overwegingen die je moet nemen om de keuze te maken wat je wilt. Mocht je nieuw met symfony zijn, adviseer ik je in ieder geval versie 4.3 of later.